package de.accso.flexinale.backoffice.domain.services;

import de.accso.flexinale.backoffice.domain.dao.KinoDao;
import de.accso.flexinale.backoffice.domain.model.Kino;
import de.accso.flexinale.common.shared_kernel.Identifiable;

import java.util.List;

public class KinoService {

    private final KinoDao kinoDao;

    public KinoService(final KinoDao kinoDao) {
        this.kinoDao = kinoDao;
    }

    public List<Kino> kinos() {
        return kinoDao.findAll();
    }

    public Kino kino(final Identifiable.Id id) {
        return kinoDao.findById(id).orElse(null);
    }
}
